質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.61%

pyenv install 3.6.5ができない:以前にインストールしたバージョンと干渉?

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 2,458

score 16

前提・実現したいこと

現在プログラミング、Pythonを勉強しています。

経緯としては、まず「Pythonクローリング&スクレイピング データ収集・解析のための実践開発ガイド」を読みながらクローリング・スクレイピングの勉強からはじめました。
そこで書籍のとおり、3.5.1のinstallを行い上手くいきましたが、後に他の記事[progate]を見てpyenvで複数のバージョンを管理しようと試みたところ3.6.5のインストールでエラーがでます。

progeteの記事の内容になります
https://prog-8.com/docs/python-env

解決方法についてご教授お願いいたします。

状況

当時は問題なくインストールできました
イメージ説明

pyenvもうまくいってるみたいです
イメージ説明

ここでエラーが出ます
イメージ説明

その後、 pyenv versionsで確認してもバージョンが出なかったり、'python3 -v'を実行すると大量のエラーの後にプロンプト?(>>>)が出てきてしまいます。

解決方法についてご教授お願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

checkベストアンサー

+1

zlib が利用できませんと出ているので、zlib.h がないのだと思います。
macOS Mojave でしたら以下の方法で対応できるようです。

https://medium.com/@ax3n.data/macos-mojave%E3%81%A7zlib%E3%81%8C%E8%A6%8B%E3%81%A4%E3%81%8B%E3%82%89%E3%81%AA%E3%81%84%E5%A0%B4%E5%90%88%E3%81%AE%E5%AF%BE%E5%87%A6%E6%B3%95-4a1e5f488191

このコマンドは /usr/include 以下にヘッダーを追加します。

sudo installer -pkg /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg -target /

そうでなければ zlib-devel を homebrew でインストールしてみてはいかがでしょうか?
その場合、標準的ではないパスにヘッダやライブラリを置くため環境変数を調整してください。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/03/23 13:36

    ありがとうございます!
    こちらのブログの通りにやって解決できました!

    恥ずかしながら知識不足のためまだ具体的な原因や解決方法の施策内容が理解できてませんが、少しづつ勉強していきたいと思います
    本当にありがとうございました!

    キャンセル

+1

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/03/23 12:54

    OSは合ってますか?

    キャンセル

  • 2019/03/23 13:32

    OSは同じです!

    申し訳ありません。
    こちらを読んで解決方法かどうか、どうすれば解決するのかがわからないほど初心者でして・・・

    しっかりと読んで試行錯誤してみますm(_ _)m

    キャンセル

  • 2019/03/23 14:40

    実のところエラーメッセージをteratailの検索窓にいれて検索すればそれで済む質問なのですけれど。

    キャンセル

0

回答者のお二人のおかげで無事インストールできたが、その後バージョンの切り替えがなぜかうまくできなかったのでいろいろググったところ

https://qiita.com/mckyhrs/items/94a2db3506287df0420e

こちらの方法を試して解決しました

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.61%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る